Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.coreplugin.app/org.gvsig.coreplugin.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.coreplugin.app/org.gvsig.coreplugin.app.mainplugin/buildNumber.properties	(revision 43660)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.coreplugin.app/org.gvsig.coreplugin.app.mainplugin/buildNumber.properties	(revision 43661)
@@ -1,2 +1,2 @@
-#Mon Nov 13 20:34:44 CET 2017
-buildNumber=2753
+#Wed Nov 29 11:39:51 CET 2017
+buildNumber=2754
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.annotation.app/org.gvsig.annotation.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.annotation.app/org.gvsig.annotation.app.mainplugin/buildNumber.properties	(revision 43660)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.annotation.app/org.gvsig.annotation.app.mainplugin/buildNumber.properties	(revision 43661)
@@ -1,2 +1,2 @@
-#Mon Nov 13 20:34:49 CET 2017
-buildNumber=2753
+#Wed Nov 29 11:39:55 CET 2017
+buildNumber=2754
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.projection.app/org.gvsig.projection.app.proj4j/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.projection.app/org.gvsig.projection.app.proj4j/buildNumber.properties	(revision 43660)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.projection.app/org.gvsig.projection.app.proj4j/buildNumber.properties	(revision 43661)
@@ -1,2 +1,2 @@
-#Mon Nov 13 20:34:52 CET 2017
-buildNumber=2753
+#Wed Nov 29 11:39:58 CET 2017
+buildNumber=2754
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.projection.app/org.gvsig.projection.app.cresques/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.projection.app/org.gvsig.projection.app.cresques/buildNumber.properties	(revision 43660)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.projection.app/org.gvsig.projection.app.cresques/buildNumber.properties	(revision 43661)
@@ -1,2 +1,2 @@
-#Mon Nov 13 20:34:51 CET 2017
-buildNumber=2753
+#Wed Nov 29 11:39:58 CET 2017
+buildNumber=2754
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.labeling.app/org.gvsig.labeling.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.labeling.app/org.gvsig.labeling.app.mainplugin/buildNumber.properties	(revision 43660)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.labeling.app/org.gvsig.labeling.app.mainplugin/buildNumber.properties	(revision 43661)
@@ -1,2 +1,2 @@
-#Mon Nov 13 20:34:47 CET 2017
-buildNumber=2753
+#Wed Nov 29 11:39:54 CET 2017
+buildNumber=2754
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.i18n.app/org.gvsig.i18n.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.i18n.app/org.gvsig.i18n.app.mainplugin/buildNumber.properties	(revision 43660)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.i18n.app/org.gvsig.i18n.app.mainplugin/buildNumber.properties	(revision 43661)
@@ -1,2 +1,2 @@
-#Mon Nov 13 20:34:46 CET 2017
-buildNumber=2753
+#Wed Nov 29 11:39:53 CET 2017
+buildNumber=2754
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.snapping.app/org.gvsig.snapping.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.snapping.app/org.gvsig.snapping.app.mainplugin/buildNumber.properties	(revision 43660)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.snapping.app/org.gvsig.snapping.app.mainplugin/buildNumber.properties	(revision 43661)
@@ -1,2 +1,2 @@
-#Mon Nov 13 20:34:48 CET 2017
-buildNumber=2753
+#Wed Nov 29 11:39:55 CET 2017
+buildNumber=2754
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geodb.app/org.gvsig.geodb.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geodb.app/org.gvsig.geodb.app.mainplugin/buildNumber.properties	(revision 43660)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geodb.app/org.gvsig.geodb.app.mainplugin/buildNumber.properties	(revision 43661)
@@ -1,2 +1,2 @@
-#Mon Nov 13 20:34:47 CET 2017
-buildNumber=2753
+#Wed Nov 29 11:39:54 CET 2017
+buildNumber=2754
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/buildNumber.properties	(revision 43660)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/buildNumber.properties	(revision 43661)
@@ -1,2 +1,2 @@
-#Mon Nov 13 20:34:45 CET 2017
-buildNumber=2753
+#Wed Nov 29 11:39:51 CET 2017
+buildNumber=2754
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.importsymbols/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.importsymbols/buildNumber.properties	(revision 43660)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.importsymbols/buildNumber.properties	(revision 43661)
@@ -1,2 +1,2 @@
-#Mon Nov 13 20:34:46 CET 2017
-buildNumber=2753
+#Wed Nov 29 11:39:53 CET 2017
+buildNumber=2754
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.symbolinstaller/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.symbolinstaller/buildNumber.properties	(revision 43660)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.symbolinstaller/buildNumber.properties	(revision 43661)
@@ -1,2 +1,2 @@
-#Mon Nov 13 20:34:47 CET 2017
-buildNumber=2753
+#Wed Nov 29 11:39:53 CET 2017
+buildNumber=2754
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.exportto.app/org.gvsig.exportto.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.exportto.app/org.gvsig.exportto.app.mainplugin/buildNumber.properties	(revision 43660)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.exportto.app/org.gvsig.exportto.app.mainplugin/buildNumber.properties	(revision 43661)
@@ -1,2 +1,2 @@
-#Mon Nov 13 20:34:51 CET 2017
-buildNumber=2753
+#Wed Nov 29 11:39:57 CET 2017
+buildNumber=2754
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.centerviewpoint.app/org.gvsig.centerviewpoint.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.centerviewpoint.app/org.gvsig.centerviewpoint.app.mainplugin/buildNumber.properties	(revision 43660)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.centerviewpoint.app/org.gvsig.centerviewpoint.app.mainplugin/buildNumber.properties	(revision 43661)
@@ -1,2 +1,2 @@
-#Mon Nov 13 20:34:44 CET 2017
-buildNumber=2753
+#Wed Nov 29 11:39:51 CET 2017
+buildNumber=2754
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.newlayer.app/org.gvsig.newlayer.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.newlayer.app/org.gvsig.newlayer.app.mainplugin/buildNumber.properties	(revision 43660)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.newlayer.app/org.gvsig.newlayer.app.mainplugin/buildNumber.properties	(revision 43661)
@@ -1,2 +1,2 @@
-#Mon Nov 13 20:34:51 CET 2017
-buildNumber=2753
+#Wed Nov 29 11:39:58 CET 2017
+buildNumber=2754
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.h2spatial.app/org.gvsig.h2spatial.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.h2spatial.app/org.gvsig.h2spatial.app.mainplugin/buildNumber.properties	(revision 43660)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.h2spatial.app/org.gvsig.h2spatial.app.mainplugin/buildNumber.properties	(revision 43661)
@@ -1,2 +1,2 @@
-#Mon Nov 13 20:34:53 CET 2017
-buildNumber=2752
+#Wed Nov 29 11:40:00 CET 2017
+buildNumber=2753
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.shp.app/org.gvsig.shp.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.shp.app/org.gvsig.shp.app.mainplugin/buildNumber.properties	(revision 43660)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.shp.app/org.gvsig.shp.app.mainplugin/buildNumber.properties	(revision 43661)
@@ -1,2 +1,2 @@
-#Mon Nov 13 20:34:53 CET 2017
-buildNumber=2753
+#Wed Nov 29 11:39:59 CET 2017
+buildNumber=2754
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.timesupport.app/org.gvsig.timesupport.app.animation/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.timesupport.app/org.gvsig.timesupport.app.animation/buildNumber.properties	(revision 43660)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.timesupport.app/org.gvsig.timesupport.app.animation/buildNumber.properties	(revision 43661)
@@ -1,2 +1,2 @@
-#Mon Nov 13 20:34:48 CET 2017
-buildNumber=2753
+#Wed Nov 29 11:39:54 CET 2017
+buildNumber=2754
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.timesupport.app/org.gvsig.timesupport.app.viewfilter/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.timesupport.app/org.gvsig.timesupport.app.viewfilter/buildNumber.properties	(revision 43660)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.timesupport.app/org.gvsig.timesupport.app.viewfilter/buildNumber.properties	(revision 43661)
@@ -1,2 +1,2 @@
-#Mon Nov 13 20:34:48 CET 2017
-buildNumber=2753
+#Wed Nov 29 11:39:54 CET 2017
+buildNumber=2754
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.csv.app/org.gvsig.csv.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.csv.app/org.gvsig.csv.app.mainplugin/buildNumber.properties	(revision 43660)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.csv.app/org.gvsig.csv.app.mainplugin/buildNumber.properties	(revision 43661)
@@ -1,2 +1,2 @@
-#Mon Nov 13 20:34:53 CET 2017
-buildNumber=2753
+#Wed Nov 29 11:39:59 CET 2017
+buildNumber=2754
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geometry.app/org.gvsig.geometry.app.jts/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geometry.app/org.gvsig.geometry.app.jts/buildNumber.properties	(revision 43660)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geometry.app/org.gvsig.geometry.app.jts/buildNumber.properties	(revision 43661)
@@ -1,2 +1,2 @@
-#Mon Nov 13 20:34:52 CET 2017
-buildNumber=2753
+#Wed Nov 29 11:39:59 CET 2017
+buildNumber=2754
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.mainplugin/buildNumber.properties	(revision 43660)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.mainplugin/buildNumber.properties	(revision 43661)
@@ -1,2 +1,2 @@
-#Mon Nov 13 20:34:49 CET 2017
-buildNumber=2753
+#Wed Nov 29 11:39:56 CET 2017
+buildNumber=2754
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.eventtheme/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.eventtheme/buildNumber.properties	(revision 43660)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.eventtheme/buildNumber.properties	(revision 43661)
@@ -1,2 +1,2 @@
-#Mon Nov 13 20:34:50 CET 2017
-buildNumber=2753
+#Wed Nov 29 11:39:56 CET 2017
+buildNumber=2754
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.join/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.join/buildNumber.properties	(revision 43660)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.join/buildNumber.properties	(revision 43661)
@@ -1,2 +1,2 @@
-#Mon Nov 13 20:34:50 CET 2017
-buildNumber=2753
+#Wed Nov 29 11:39:56 CET 2017
+buildNumber=2754
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.datalocator.app/org.gvsig.datalocator.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.datalocator.app/org.gvsig.datalocator.app.mainplugin/buildNumber.properties	(revision 43660)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.datalocator.app/org.gvsig.datalocator.app.mainplugin/buildNumber.properties	(revision 43661)
@@ -1,2 +1,2 @@
-#Mon Nov 13 20:34:45 CET 2017
-buildNumber=2753
+#Wed Nov 29 11:39:52 CET 2017
+buildNumber=2754
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.installer.app/org.gvsig.installer.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.installer.app/org.gvsig.installer.app.mainplugin/buildNumber.properties	(revision 43660)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.installer.app/org.gvsig.installer.app.mainplugin/buildNumber.properties	(revision 43661)
@@ -1,2 +1,2 @@
-#Mon Nov 13 20:34:51 CET 2017
-buildNumber=2753
+#Wed Nov 29 11:39:57 CET 2017
+buildNumber=2754
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geometrymeasurement.app/org.gvsig.geometrymeasurement.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geometrymeasurement.app/org.gvsig.geometrymeasurement.app.mainplugin/buildNumber.properties	(revision 43660)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geometrymeasurement.app/org.gvsig.geometrymeasurement.app.mainplugin/buildNumber.properties	(revision 43661)
@@ -1,2 +1,2 @@
-#Mon Nov 13 20:34:45 CET 2017
-buildNumber=2753
+#Wed Nov 29 11:39:52 CET 2017
+buildNumber=2754
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/buildNumber.properties	(revision 43660)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/buildNumber.properties	(revision 43661)
@@ -1,2 +1,2 @@
-#Mon Nov 13 20:34:43 CET 2017
-buildNumber=2842
+#Wed Nov 29 11:39:51 CET 2017
+buildNumber=2843
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.selectiontools.app/org.gvsig.selectiontools.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.selectiontools.app/org.gvsig.selectiontools.app.mainplugin/buildNumber.properties	(revision 43660)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.selectiontools.app/org.gvsig.selectiontools.app.mainplugin/buildNumber.properties	(revision 43661)
@@ -1,2 +1,2 @@
-#Mon Nov 13 20:34:46 CET 2017
-buildNumber=2753
+#Wed Nov 29 11:39:52 CET 2017
+buildNumber=2754