Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.temporarystorage/org.gvsig.temporarystorage.lib/org.gvsig.temporarystorage.lib.impl/src/main/resources/META-INF/services/org.gvsig.tools.library.Library
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.temporarystorage/org.gvsig.temporarystorage.lib/org.gvsig.temporarystorage.lib.impl/src/main/resources/META-INF/services/org.gvsig.tools.library.Library	(revision 43809)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.temporarystorage/org.gvsig.temporarystorage.lib/org.gvsig.temporarystorage.lib.impl/src/main/resources/META-INF/services/org.gvsig.tools.library.Library	(revision 43810)
@@ -1 +1 @@
-org.gvsig.temporarystorage.impl.TemporaryStorageManagerImplLibrary
\ No newline at end of file
+org.gvsig.temporarystorage.impl.TemporaryStorageImplLibrary
\ No newline at end of file
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.temporarystorage/org.gvsig.temporarystorage.lib/org.gvsig.temporarystorage.lib.impl/src/main/java/org/gvsig/temporarystorage/impl/TemporaryStorageManagerImplLibrary.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.temporarystorage/org.gvsig.temporarystorage.lib/org.gvsig.temporarystorage.lib.impl/src/main/java/org/gvsig/temporarystorage/impl/TemporaryStorageManagerImplLibrary.java	(revision 43809)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.temporarystorage/org.gvsig.temporarystorage.lib/org.gvsig.temporarystorage.lib.impl/src/main/java/org/gvsig/temporarystorage/impl/TemporaryStorageManagerImplLibrary.java	(revision 43810)
@@ -1,26 +0,0 @@
-package org.gvsig.temporarystorage.impl;
-
-
-import org.gvsig.temporarystorage.TemporaryStorageLibrary;
-import org.gvsig.temporarystorage.TemporaryStorageLocator;
-import org.gvsig.tools.library.AbstractLibrary;
-import org.gvsig.tools.library.LibraryException;
-
-public class TemporaryStorageManagerImplLibrary extends AbstractLibrary {
-
-    @Override
-    public void doRegistration() {
-        registerAsImplementationOf(TemporaryStorageLibrary.class);
-    }
-
-    @Override
-    protected void doInitialize() throws LibraryException {
-        TemporaryStorageLocator.registerManager(DefaultTemporaryStorageManager.class);
-    }
-
-    @Override
-    protected void doPostInitialize() throws LibraryException {
-
-    }
-}
-
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.temporarystorage/org.gvsig.temporarystorage.lib/org.gvsig.temporarystorage.lib.impl/src/main/java/org/gvsig/temporarystorage/impl/TemporaryStorageImplLibrary.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.temporarystorage/org.gvsig.temporarystorage.lib/org.gvsig.temporarystorage.lib.impl/src/main/java/org/gvsig/temporarystorage/impl/TemporaryStorageImplLibrary.java	(revision 0)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.temporarystorage/org.gvsig.temporarystorage.lib/org.gvsig.temporarystorage.lib.impl/src/main/java/org/gvsig/temporarystorage/impl/TemporaryStorageImplLibrary.java	(revision 43810)
@@ -0,0 +1,26 @@
+package org.gvsig.temporarystorage.impl;
+
+
+import org.gvsig.temporarystorage.TemporaryStorageLibrary;
+import org.gvsig.temporarystorage.TemporaryStorageLocator;
+import org.gvsig.tools.library.AbstractLibrary;
+import org.gvsig.tools.library.LibraryException;
+
+public class TemporaryStorageImplLibrary extends AbstractLibrary {
+
+    @Override
+    public void doRegistration() {
+        registerAsImplementationOf(TemporaryStorageLibrary.class);
+    }
+
+    @Override
+    protected void doInitialize() throws LibraryException {
+        TemporaryStorageLocator.registerManager(DefaultTemporaryStorageManager.class);
+    }
+
+    @Override
+    protected void doPostInitialize() throws LibraryException {
+
+    }
+}
+
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.temporarystorage/org.gvsig.temporarystorage.lib/org.gvsig.temporarystorage.lib.api/src/main/java/org/gvsig/temporarystorage/TemporaryStorageLocator.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.temporarystorage/org.gvsig.temporarystorage.lib/org.gvsig.temporarystorage.lib.api/src/main/java/org/gvsig/temporarystorage/TemporaryStorageLocator.java	(revision 43809)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.temporarystorage/org.gvsig.temporarystorage.lib/org.gvsig.temporarystorage.lib.api/src/main/java/org/gvsig/temporarystorage/TemporaryStorageLocator.java	(revision 43810)
@@ -36,7 +36,7 @@
         return LOCATOR_NAME;
     }
 
-    public static TemporaryStorageManager getManager() throws LocatorException {
+    public static TemporaryStorageManager getTemporaryStorageManager() throws LocatorException {
         return (TemporaryStorageManager) getInstance().get(MANAGER_NAME);
     }
 
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.temporarystorage/org.gvsig.temporarystorage.lib/org.gvsig.temporarystorage.lib.api/src/main/resources/META-INF/services/org.gvsig.tools.library.Library
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.temporarystorage/org.gvsig.temporarystorage.lib/org.gvsig.temporarystorage.lib.api/src/main/resources/META-INF/services/org.gvsig.tools.library.Library	(revision 43809)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.temporarystorage/org.gvsig.temporarystorage.lib/org.gvsig.temporarystorage.lib.api/src/main/resources/META-INF/services/org.gvsig.tools.library.Library	(revision 43810)
@@ -1 +1 @@
-org.gvsig.temporarystorage.TemporaryStorageManagerLibrary
\ No newline at end of file
+org.gvsig.temporarystorage.TemporaryStorageLibrary
\ No newline at end of file