Index: pom.xml
===================================================================
--- pom.xml	(revision 43829)
+++ pom.xml	(revision 43830)
@@ -1,75 +1,75 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0          http://maven.apache.org/xsd/maven-4.0.0.xsd">
 
-	<modelVersion>4.0.0</modelVersion>
-	<groupId>org.gvsig</groupId>
-	<artifactId>org.gvsig.desktop.installer</artifactId>
-	<version>1.0.0</version>
-	<packaging>pom</packaging>
-	<name>${project.artifactId}</name>
+    <modelVersion>4.0.0</modelVersion>
+    <groupId>org.gvsig</groupId>
+    <artifactId>org.gvsig.desktop.installer</artifactId>
+    <version>1.0.0</version>
+    <packaging>pom</packaging>
+    <name>${project.artifactId}</name>
 
-  <build>
+    <build>
   
-     <pluginManagement>
-        <plugins>
+        <pluginManagement>
+            <plugins>
         
-          <plugin>
-            <groupId>org.codehaus.gmaven</groupId>
-            <artifactId>gmaven-plugin</artifactId>
-            <version>1.4</version>
-          </plugin>
+                <plugin>
+                    <groupId>org.codehaus.gmaven</groupId>
+                    <artifactId>gmaven-plugin</artifactId>
+                    <version>1.4</version>
+                </plugin>
           
-          <plugin>
-            <groupId>org.codehaus.mojo</groupId>
-            <artifactId>properties-maven-plugin</artifactId>
-            <version>1.0-alpha-2</version>
-          </plugin>
+                <plugin>
+                    <groupId>org.codehaus.mojo</groupId>
+                    <artifactId>properties-maven-plugin</artifactId>
+                    <version>1.0-alpha-2</version>
+                </plugin>
                             
-        </plugins>
-     </pluginManagement>
+            </plugins>
+        </pluginManagement>
   
-      <plugins>
-          <plugin>
-              <groupId>org.codehaus.mojo</groupId>
-              <artifactId>properties-maven-plugin</artifactId>
-              <executions>
-                  <execution>
-                      <phase>install</phase>
-                      <goals>
-                          <goal>read-project-properties</goal>
-                      </goals>
-                      <configuration>
-                          <files>
-		                        <!-- Define gvsig.product.folder.path in this property -->
-		                        <file>${env.HOME}/.gvsig-devel.properties</file>
-		                        <file>${project.basedir}/gvsig-devel.properties</file>
-                          </files>
-                          <quiet>true</quiet>
-                      </configuration>
-                  </execution>
-              </executions>
-          </plugin>
+        <plugins>
+            <plugin>
+                <groupId>org.codehaus.mojo</groupId>
+                <artifactId>properties-maven-plugin</artifactId>
+                <executions>
+                    <execution>
+                        <phase>install</phase>
+                        <goals>
+                            <goal>read-project-properties</goal>
+                        </goals>
+                        <configuration>
+                            <files>
+                                <!-- Define gvsig.product.folder.path in this property -->
+                                <file>${env.HOME}/.gvsig-devel.properties</file>
+                                <file>${project.basedir}/gvsig-devel.properties</file>
+                            </files>
+                            <quiet>true</quiet>
+                        </configuration>
+                    </execution>
+                </executions>
+            </plugin>
           
-          <plugin>
-              <groupId>org.codehaus.gmaven</groupId>
-              <artifactId>gmaven-plugin</artifactId>
-            <dependencies>
-                <dependency>
-                  <groupId>com.github.lookfirst</groupId>
-                  <artifactId>sardine</artifactId>
-                  <version>5.0.1</version>
-                </dependency>
-            </dependencies>
-            <inherited>false</inherited>
-              <executions>
-                <execution>
-                  <id>release</id>
-                  <phase>install</phase>
-                  <goals>
-                    <goal>execute</goal>
-                  </goals>
-                  <configuration>
-                    <source><![CDATA[
+            <plugin>
+                <groupId>org.codehaus.gmaven</groupId>
+                <artifactId>gmaven-plugin</artifactId>
+                <dependencies>
+                    <dependency>
+                        <groupId>com.github.lookfirst</groupId>
+                        <artifactId>sardine</artifactId>
+                        <version>5.0.1</version>
+                    </dependency>
+                </dependencies>
+                <inherited>false</inherited>
+                <executions>
+                    <execution>
+                        <id>release</id>
+                        <phase>install</phase>
+                        <goals>
+                            <goal>execute</goal>
+                        </goals>
+                        <configuration>
+                            <source><![CDATA[
 // To deploy package use:
 //    mvn -Ddeploy-installers -Dusername=USER -Dpassword=PASSWORD install
 //      
@@ -402,11 +402,11 @@
 main()                        
 
                     ]]></source>
-                  </configuration>
-                </execution>
-              </executions>
-          </plugin>
-      </plugins>
-  </build>
+                        </configuration>
+                    </execution>
+                </executions>
+            </plugin>
+        </plugins>
+    </build>
 
 </project>