Index: pom.xml
===================================================================
--- pom.xml	(revision 43829)
+++ pom.xml	(revision 43830)
@@ -1,123 +1,125 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0          http://maven.apache.org/xsd/maven-4.0.0.xsd">
 
-  <modelVersion>4.0.0</modelVersion>
-  <artifactId>org.gvsig.desktop.installer.izpack.lin.x86_64</artifactId>
-  <packaging>pom</packaging>
-  <name>${project.artifactId}</name>
-  <parent>
-    <groupId>org.gvsig</groupId>
-    <artifactId>org.gvsig.desktop.installer.izpack</artifactId>
-    <version>1.1.0</version>
-  </parent>
+    <modelVersion>4.0.0</modelVersion>
+    <artifactId>org.gvsig.desktop.installer.izpack.lin.x86_64</artifactId>
+    <packaging>pom</packaging>
+    <name>${project.artifactId}</name>
+    <parent>
+        <groupId>org.gvsig</groupId>
+        <artifactId>org.gvsig.desktop.installer.izpack</artifactId>
+        <version>1.1.0</version>
+    </parent>
 
-  <properties>
-    <installer_architecture>x86_64</installer_architecture>
-    <installer_os>lin</installer_os>
-  </properties>
+    <properties>
+        <installer_architecture>x86_64</installer_architecture>
+        <installer_os>lin</installer_os>
+    </properties>
 
-  <build>
-    <plugins>
+    <build>
+        <plugins>
 
-      <plugin>
-	  <groupId>com.igormaznitsa</groupId>
-	  <artifactId>jcp</artifactId>
-	  <version>6.0.0</version>
-	  <!--
-	  https://github.com/raydac/java-comment-preprocessor/blob/master/src/main/java/com/igormaznitsa/jcp/maven/PreprocessorMojo.java
-	  -->
-	  <executions>
-	      <execution>
-		  <id>preprocess_installer_files</id>
-		  <phase>generate-sources</phase>
-		  <goals>
-		      <goal>preprocess</goal>
-		  </goals>
-		  <configuration>
-		    <keepLines>false</keepLines>
-		    <removeComments>true</removeComments>
+            <plugin>
+                <groupId>com.igormaznitsa</groupId>
+                <artifactId>jcp</artifactId>
+                <version>6.0.0</version>
+                <!--
+                https://github.com/raydac/java-comment-preprocessor/blob/master/src/main/java/com/igormaznitsa/jcp/maven/PreprocessorMojo.java
+                -->
+                <executions>
+                    <execution>
+                        <id>preprocess_installer_files</id>
+                        <phase>generate-sources</phase>
+                        <goals>
+                            <goal>preprocess</goal>
+                        </goals>
+                        <configuration>
+                            <keepLines>false</keepLines>
+                            <removeComments>true</removeComments>
 
-		    <excluded>txt</excluded>
-		    <processing>xml</processing>
+                            <excluded>txt</excluded>
+                            <processing>xml</processing>
 
-		    <source>${project.basedir}/src/main/izpack</source>
-		    <destination>target</destination>
-		  </configuration>
-	      </execution>
-	  </executions>
-      </plugin>
+                            <source>${project.basedir}/src/main/izpack</source>
+                            <destination>target</destination>
+                        </configuration>
+                    </execution>
+                </executions>
+            </plugin>
 
 
-      <plugin>
-	<groupId>org.codehaus.gmaven</groupId>
-	<artifactId>gmaven-plugin</artifactId>
-	<executions>
-	  <execution>
-	    <id>prepare-gvsig-product-and-packages</id>
-	    <phase>None</phase>
-	  </execution>
+            <plugin>
+                <groupId>org.codehaus.gmaven</groupId>
+                <artifactId>gmaven-plugin</artifactId>
+                <executions>
+                    <execution>
+                        <id>prepare-gvsig-product-and-packages</id>
+                        <phase>None</phase>
+                    </execution>
 
-	  <execution>
-	    <id>deploy-gvsig-packages</id>
-	    <phase>None</phase>
-	  </execution>
+                    <execution>
+                        <id>deploy-gvsig-packages</id>
+                        <phase>None</phase>
+                    </execution>
 
-	  <execution>
-	    <id>prepare-lin-installer</id>
-	    <phase>generate-sources</phase>
-	    <goals>
-		<goal>execute</goal>
-	    </goals>
-	    <configuration>
-	      <scriptpath>
-		<path>${project.basedir}/../src/main/scripts</path>
-	      </scriptpath>
-	      <source>${project.basedir}/src/main/scripts/prepare_${installer_os}.groovy</source>
-	    </configuration>
-	  </execution>
+                    <execution>
+                        <id>prepare-lin-installer</id>
+                        <phase>generate-sources</phase>
+                        <goals>
+                            <goal>execute</goal>
+                        </goals>
+                        <configuration>
+                            <scriptpath>
+                                <path>${project.basedir}/../src/main/scripts</path>
+                            </scriptpath>
+                            <source>${project.basedir}/src/main/scripts/prepare_${installer_os}.groovy</source>
+                        </configuration>
+                    </execution>
 
-	  <execution>
-	    <id>deploy-lin-installer</id>
-	    <phase>install</phase>
-	    <goals>
-		<goal>execute</goal>
-	    </goals>
-	    <configuration>
-	      <scriptpath>
-		<path>${project.basedir}/../src/main/scripts</path>
-	      </scriptpath>
-	      <source>${project.basedir}/src/main/scripts/deploy_${installer_os}.groovy</source>
-	    </configuration>
-	  </execution>
+                    <execution>
+                        <id>deploy-lin-installer</id>
+                        <phase>install</phase>
+                        <goals>
+                            <goal>execute</goal>
+                        </goals>
+                        <configuration>
+                            <scriptpath>
+                                <path>${project.basedir}/../src/main/scripts</path>
+                            </scriptpath>
+                            <source>${project.basedir}/src/main/scripts/deploy_${installer_os}.groovy</source>
+                        </configuration>
+                    </execution>
 
-	  </executions>
-      </plugin>
+                </executions>
+            </plugin>
 
-      <plugin>
-	<groupId>org.codehaus.izpack</groupId>
-	<artifactId>izpack-maven-plugin</artifactId>
-	<version>${izpack.version}</version>
-	<executions>
-	    <execution>
-	      <phase>package</phase>
-	      <goals><goal>izpack</goal></goals>
-	      <configuration>
-		  <baseDir>${project.basedir}/target</baseDir>
- 		  <finalName>gvSIG-desktop-${package.info.version}-${package.info.state}-${installer_os}-${installer_architecture}-online</finalName>
-		  <installFile>${project.basedir}/target/install.xml</installFile>
-	      </configuration>
-	    </execution>
-	</executions>
-	<dependencies>
-	    <dependency>
-	      <groupId>org.codehaus.izpack</groupId>
-	      <artifactId>izpack-panel</artifactId>
-	      <version>${izpack.version}</version>
-	    </dependency>
-	  </dependencies>
-      </plugin>
+            <plugin>
+                <groupId>org.codehaus.izpack</groupId>
+                <artifactId>izpack-maven-plugin</artifactId>
+                <version>${izpack.version}</version>
+                <executions>
+                    <execution>
+                        <phase>package</phase>
+                        <goals>
+                            <goal>izpack</goal>
+                        </goals>
+                        <configuration>
+                            <baseDir>${project.basedir}/target</baseDir>
+                            <finalName>gvSIG-desktop-${package.info.version}-${package.info.state}-${installer_os}-${installer_architecture}-online</finalName>
+                            <installFile>${project.basedir}/target/install.xml</installFile>
+                        </configuration>
+                    </execution>
+                </executions>
+                <dependencies>
+                    <dependency>
+                        <groupId>org.codehaus.izpack</groupId>
+                        <artifactId>izpack-panel</artifactId>
+                        <version>${izpack.version}</version>
+                    </dependency>
+                </dependencies>
+            </plugin>
 
-    </plugins>
-  </build>
+        </plugins>
+    </build>
 
 </project>